MessageStatus (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.core
Class MessageStatus

    java.lang.Object
      |
      +--org.beepcore.beep.core.MessageStatus

public class MessageStatus
extends java.lang.Object

Field Summary
`static int` | `MESSAGE_STATUS_NOT_SENT` BEEP message status.
`static int` | `MESSAGE_STATUS_RECEIVED_ERROR` BEEP message status.
`static int` | `MESSAGE_STATUS_RECEIVED_REPLY` BEEP message status.
`static int` | `MESSAGE_STATUS_SENT` BEEP message status.
`static int` | `MESSAGE_STATUS_UNK` Uninitialized BEEP status.

Method Summary
`int` | `getAnsno()` Returns the answer number.
`Channel` | `getChannel()` Returns the channel.
`OutputDataStream` | `getMessageData()` Returns the message data.
`int` | `getMessageStatus()` Returns the message status.
`int` | `getMsgno()` Returns the message number.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_STATUS_UNK

    public static final int MESSAGE_STATUS_UNK

  Uninitialized BEEP status.

  See Also:
    Constant Field Values

### MESSAGE_STATUS_NOT_SENT

    public static final int MESSAGE_STATUS_NOT_SENT

  BEEP message status.

  See Also:
    Constant Field Values

### MESSAGE_STATUS_SENT

    public static final int MESSAGE_STATUS_SENT

  BEEP message status.

  See Also:
    Constant Field Values

### MESSAGE_STATUS_RECEIVED_REPLY

    public static final int MESSAGE_STATUS_RECEIVED_REPLY

  BEEP message status.

  See Also:
    Constant Field Values

### MESSAGE_STATUS_RECEIVED_ERROR

    public static final int MESSAGE_STATUS_RECEIVED_ERROR

  BEEP message status.

  See Also:
    Constant Field Values

Method Detail

### getAnsno

    public int getAnsno()

  Returns the answer number.

### getChannel

    public Channel getChannel()

  Returns the channel.

### getMessageData

    public OutputDataStream getMessageData()

  Returns the message data.

### getMessageStatus

    public int getMessageStatus()

  Returns the message status.

### getMsgno

    public int getMsgno()

  Returns the message number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.